% Example7_3
%
%       Created for the book:                                                             
%   Ljiljana D. Milic,
%      Multirate Filtering for Digital Signal Processing: MATLAB Applications                     
%      Information Science Reference, Hershey, New York,  2009
%
% FIR halfband filter, window design
clear all,close all
Nord = 22; % Specifying the filter order
win = hamming(23); % Specifying window
h = firhalfband(Nord,win); % Computation of filter coefficients
figure (1)
subplot(2,1,1)
stem(0:length(h)-1,h)
xlabel('n'), ylabel('h[n]')
axis([0,22,-0.2,0.6])
[H,f] = freqz(h,1,512,2);
subplot(2,1,2)
plot(f,20*log10(abs(H))),grid
xlabel('\omega/\pi'), ylabel('Gain [dB]')
axis([0,1,-60,5])