% Example_7_6
%
%       Created for the book:                                                             
%   Ljiljana D. Milic,
%      Multirate Filtering for Digital Signal Processing: MATLAB Applications                     
%      Information Science Reference, Hershey, New York,  2009
%
[b1,b2,a,aA,dP] = Hblipha(10,0.4,'Cheby');
[H,f]=freqz(b1,a,1024,2);
figure
plot(f,20*log10(abs(H)))
[gd,f] = grpdelay(b1,aA,1024,2);
subplot(2,2,1)
plot(f,20*log10(abs(H)))
axis([0,1,-70,2]),xlabel('\omega/\pi'), ylabel('Gain, dB'),grid
subplot(2,2,2)
zplane(b1,aA)
subplot(2,2,3)
plot(f,unwrap(angle(H))),xlabel('\omega/\pi'), ylabel('Phase, rad'),grid 
subplot(2,2,4)
plot(f,gd),,xlabel('\omega/\pi'), ylabel('Group delay, samples'),grid 
